//
//      This file is executed when a new device driver is loaded.
//              Device drivers have extensions DRV or SYS.
//
//

{
  do_name [0] "NextDevice";
  do_word [0];
  do_num  [0];
  do_comm [0] "FFFF - last device";

  do_word [2];
  do_num  [2];

  do_name [4] "DevAttr";
  do_word [4];
  do_num  [4];
  do_comm [4] "0-stdin,1-stdout/>32M,2-stdNULL,3-clock\n6-supp. log def\n11-open/create/RM\n13-non-IBM\n14-IOCTL,15-char dev";

  do_name [6] "Strategy";
  do_word [6];
  do_off  [6] "seg_AA"; 

  do_name [8] "Interrupt";
  do_word [8];
  do_off  [8] "seg_AA";

  do_name  [0xA] "DeviceName";
  do_ascii [0xA] 8;
  do_comm  [0xA] "May be device number";

  set A [ "seg_AA", word "Strategy" ];          // Address of Strat routine
  set B [ "seg_AA", word "Interrupt" ];         // Address of Int   routine
  do_code A;
  do_code B;
  do_name A "Strategy_Routine";
  do_name B "Interrupt_Routine";
  do_comm A "ES:BX -> Device Request Block";
  do_comm B "Device Request Block:\n 0 db length\n 1 db unit number\n 2 db command code\n 5 d? reserved\n0D d? command specific data";
}
